<?php

namespace Chill\MainBundle\Search;

use Chill\PersonBundle\Entity\Person;
use Chill\ThirdPartyBundle\Entity\ThirdParty;
use Doctrine\ORM\EntityManagerInterface;
use Chill\MainBundle\Search\SearchProvider;
use Symfony\Component\VarDumper\Resources\functions\dump;

/**
 *  ***Warning*** This is an incomplete implementation ***Warning***
 */
class SearchApi
{
    private EntityManagerInterface $em;
    private SearchProvider $search;

    public function __construct(EntityManagerInterface $em, SearchProvider $search)
    {
        $this->em = $em;
        $this->search = $search;
    }

    /**
     * @return Model/Result[]
     */
    public function getResults(string $query, int $offset, int $maxResult): array
    {
        // **warning again**: this is an incomplete implementation 
        $results = [];

        foreach ($this->getPersons($query) as $p) {
            $results[] = new Model\Result((float)\rand(0, 100) / 100, $p);
        }
        foreach ($this->getThirdParties($query) as $t) {
            $results[] = new Model\Result((float)\rand(0, 100) / 100, $t);
        }

        \usort($results, function(Model\Result $a, Model\Result $b) {
            return ($a->getRelevance() <=> $b->getRelevance()) * -1;
        });

        return $results;
    }

    public function countResults(string $query): int
    {
        return 0;
    }

    private function getThirdParties(string $query)
    {
        $thirdPartiesIds = $this->em->createQuery('SELECT t.id FROM '.ThirdParty::class.' t')
            ->getScalarResult();
        $nbResults = rand(0, 15);

        if ($nbResults === 1) {
            $nbResults++;
        } elseif ($nbResults === 0) {
            return [];
        }
        $ids = \array_map(function ($e) use ($thirdPartiesIds) { return $thirdPartiesIds[$e]['id'];}, 
            \array_rand($thirdPartiesIds, $nbResults));

        $a = $this->em->getRepository(ThirdParty::class)
            ->findById($ids);
        return $a;
    }

    private function getPersons(string $query)
    {
        $params = [
            SearchInterface::SEARCH_PREVIEW_OPTION => false
            ];
        $search = $this->search->getResultByName($query, 'person_regular', 0, 50, $params, 'json');
        $ids = \array_map(function($r) { return $r['id']; }, $search['results']);


        if (count($ids) === 0) {
            return [];
        }

        return $this->em->getRepository(Person::class)
            ->findById($ids)
            ;
    }
    
}
