<?php

namespace Chill\PersonBundle\Repository\SocialWork;

use Chill\PersonBundle\Entity\SocialWork\SocialAction;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;

/**
 * @method SocialAction|null find($id, $lockMode = null, $lockVersion = null)
 * @method SocialAction|null findOneBy(array $criteria, array $orderBy = null)
 * @method SocialAction[]    findAll()
 * @method SocialAction[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
final class SocialActionRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->repository = $entityManager->getRepository(SocialAction::class);
    }
}
