import { createApp } from 'vue'
import { _createI18n } from 'ChillMainAssets/vuejs/_js/i18n'
import { appMessages } from './js/i18n'
import { initPromise } from './store'

import App from './App.vue';

initPromise.then(store => {

   //console.log('store in create_store', store);
   //console.log('store accompanyingCourse', store.state.accompanyingCourse);

   const i18n = _createI18n(appMessages);
  
   const app = createApp({
      template: `<app></app>`,
   })
   .use(store)
   .use(i18n)
   .component('app', App)
   .mount('#accompanying-course');
   
});
