import { personMessages } from 'ChillPersonAssets/vuejs/_js/i18n'

const appMessages = {
   fr: {
      course: {
         id: "id",
         title: {
            draft: "Création d'un nouveau parcours",
            active: "Modification du parcours"
         },
         opening_date: "Date d'ouverture",
         closing_date: "Date de clôture",
         remark: "Commentaire",
         closing_motive: "Motif de clôture",
         user: "TMS",
         flags: "Indicateurs",
         status: "État",
         step: {
            draft: "Brouillon",
            active: "En file active"
         },
         open_at: "ouvert le ",
         by: "par ", 
         emergency: "urgent",
         confidential: "confidentiel",
         regular: "régulier",
         occasional: "ponctuel"
      },
      persons_associated: {
         title: "Usagers concernés",
         counter: "Il n'y a pas encore d'usager | 1 usager | {count} usagers",
         firstname: "Prénom",
         lastname: "Nom",
         startdate: "Date d'entrée",
         enddate: "Date de sortie",
         add_persons: "Ajouter des usagers",
      },
      requestor: {
         title: "Demandeur",
         add_requestor: "Ajouter un demandeur",
         is_anonymous: "Le demandeur est anonyme",
         counter: "Il n'y a pas encore de demandeur",
         type: "Type",
         person_id: "id",
         text: "Dénomination",
         firstName: "Prénom",
         lastName: "Nom",
         birthdate: "Date de naissance",
         center: "Centre",
         phonenumber: "Téléphone",
         mobilenumber: "Mobile",
         altNames: "Autres noms",
         address: "Adresse",
         location: "Localité",
      },
      social_issue: {
         title: "Problématiques sociales",
         label: "Choisir les problématiques sociales",
      },
      referrer: {
         title: "Référent du parcours",
         label: "Vous pouvez choisir un TMS ou vous assigner directement comme référent",
         placeholder: "Choisir un TMS",
         assign_me: "M'assigner comme référent",
      },
      resources: {
         title: "Interlocuteurs privilégiés",
         counter: "Il n'y a pas encore d'interlocuteur | 1 interlocuteur | {count} interlocuteurs",
         text: "Dénomination",
         description: "Description",
         add_resources: "Ajouter des interlocuteurs",
      },
      comment: {
         title: "Observations",
         label: "Ajout d'une note",
         content: "Rédigez une première note...",
         created_by: "créé par {0}, le {1}" 
      },
      confirm: {
         title: "Confirmation",
         text_draft: "Le parcours est actuellement à l'état de ",
         text_active: "En validant cette étape, vous lui donnez le statut ",
         sure: "Êtes-vous sûr ?",
         sure_description: "Une fois le changement confirmé, il n'est plus possible de le remettre à l'état de brouillon !",
         ok: "Confirmer le parcours"
      },

   }
};

Object.assign(appMessages.fr, personMessages.fr);

export {
   appMessages
};
