<?php

namespace Chill\PersonBundle\Repository\Household;

use Chill\PersonBundle\Entity\Household\HouseholdMembers;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;

/**
 * @method HouseholdMembers|null find($id, $lockMode = null, $lockVersion = null)
 * @method HouseholdMembers|null findOneBy(array $criteria, array $orderBy = null)
 * @method HouseholdMembers[]    findAll()
 * @method HouseholdMembers[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
final class HouseholdMembersRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->repository = $entityManager->getRepository(HouseholdMembers::class);
    }

    // /**
    //  * @return HouseholdMembers[] Returns an array of HouseholdMembers objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('h')
            ->andWhere('h.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('h.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?HouseholdMembers
    {
        return $this->createQueryBuilder('h')
            ->andWhere('h.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
