<?php

namespace Chill\PersonBundle\Repository\SocialWork;

use Chill\PersonBundle\Entity\SocialWork\SocialIssue;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;

/**
 * @method SocialIssue|null find($id, $lockMode = null, $lockVersion = null)
 * @method SocialIssue|null findOneBy(array $criteria, array $orderBy = null)
 * @method SocialIssue[]    findAll()
 * @method SocialIssue[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
final class SocialIssueRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->repository = $entityManager->getRepository(SocialIssue::class);
    }
}
